using MangaReader.Core.Search;
using MangaReader.Core.Sources.MangaDex.Api;
using Microsoft.UI.Xaml;

namespace MangaReader.WinUI;

public sealed partial class MainWindow : Window
{
    private const string ApplicationTitle = "Manga Reader";

    public MainWindow(IMangaSearchCoordinator mangaSearchCoordinator, IMangaDexClient mangaDexClient)
    {
        InitializeComponent();

        Title = ApplicationTitle;
        ExtendsContentIntoTitleBar = true;  // enable custom titlebar
        SetTitleBar(AppTitleBar);      // set user ui element as titlebar
    }
}